# thirdlucky-layout-view

## 通用布局视图
> **组件名：thirdlucky-layout-view**
> 代码块： `uLayout`


1. 包含常见布局，只需把组件放在其中，就会自动按照布局排列，减少了复杂的样式操作

> **注意事项**
> 为了避免错误使用，给大家带来不好的开发体验，请在使用组件前仔细阅读下面的注意事项，可以帮你避免一些错误。
> - 组件需要依赖 `sass` 插件 ，请自行手动安装

### 安装方式

本组件符合[easycom](https://uniapp.dcloud.io/collocation/pages?id=easycom)规范，`HBuilderX 2.5.5`起，只需将本组件导入项目，在页面`template`中即可直接使用，无需在页面中`import`和注册`components`。

如需通过`npm`方式使用`uni-ui`组件，另行文档：[https://ext.dcloud.net.cn/plugin?id=55](https://ext.dcloud.net.cn/plugin?id=55)

### 基本用法

设置以下属性后，组件会通过数据渲染出对应的内容 
- layout：布局
+ 

```html
<template>
	<view>
		<thirdlucky-layout-view layout="flow">
			<button></button>
			<button></button>
			<button></button>
		</thirdlucky-layout-view>
	</view>
</template>

```

```javascript


```

## API

### DataTable Props

| 属性名| 类型	|可选值	| 默认值| 说明	|示例												|
| :-:	| :-:	|:-:	|:-:	| :-:	|:-:	
|layout			|String	|-	|	|选填，流式布局	|flow-流式布局,table-表格布局,grid-宫格布局,location-定位布局	|
|layout=flow	|-		|-	|	|流式布局		|按顺序从左到右，从上到下排布，排满换行							|
|layout=row		|-		|-	|	|行式布局		|从左到右排布													|
|layout=column	|-		|-	|	|列式布局		|从上到下排布													|
|layout=table	|-		|-	|	|表格布局		|按照表格位置排布，需要行列的个数								|
|layout=grid	|-		|-	|	|宫格布局		|宫格位置排布，需要宫格的个数									|
|layout=location|-		|-	|	|定位布局		|定位取决于slot中控件的相对位置，需要x,y,width,heigth			|
|layout=flex	|-		|-	|	|flex布局		|flex布局														|

#### Localdata Options

### DataTable Events

| 事件名		| 事件说明		| 返回参数				|
| :-:			| :-:			| :-:					|
| @layoutChanged| 布局改变事件	|layout-改变的布局名称	|
